#ifndef _io_h__
#define _io_h__

#ifdef DJGPP

#include <pc.h>

#define io_outp(a, b) outportb((a), (b))
#define io_inp(a) (inportb((a)))

#define get_io_permissions() (0)

#else

#include <stdio.h>
#include <errno.h>
#include <sys/io.h>

#define io_outp(a, b) outb(b, a)
#define io_inp(a) (inb(a))

static inline int get_io_permissions(void)
{
	int res;
	res = iopl(3);
	if (res<0) {
		perror("iopl");
		return -1;
	}
	return 0;
}

#endif


#endif // _io_h__

